### Function

# Gcr CertificateRequest capable

#### Declaration [src]

    gboolean
    gcr_certificate_request_capable (
      GckObject* private_key,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

#### Parameters

`private_key` | `GckObject`
| A private key.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether a request can be created.